<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT120100NL_CI">
    <title>Contra-indicatie</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='OBS'"
            >COCT_MT120100NL_CI: @classCode moet, indien anwezig, 'OBS' bevatten</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >COCT_MT120100NL_CI: @moodCode moet, indien anwezig, 'EVN' bevatten</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >COCT_MT120100NL_CI: id element mist root of extension attribuut</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CE"/>
        <assert role="error" test="@code='CI' or @code='DERCI'"
            >COCT_MT120100NL_CI: @code moet 'CI' of 'DERCI' bevatten</assert>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.5.4'"
            >COCT_MT120100NL_CI: @codeSystem moet '2.16.840.1.113883.5.4' bevatten</assert>
    </rule>
    <rule context="$element/hl7:text">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:low"
            >COCT_MT120100NL_CI: low moet de datum en indien bekend de tijd bevatten van de start van de contra-indicatie</assert>
        <assert role="error" test="not(@value or hl7:center or hl7:width)"
            >COCT_MT120100NL_CI: alleen low en optioneel high mogen worden gebruikt</assert>
    </rule>
    <rule context="$element/hl7:uncertaintyCode">
        <assert role="error" test="not(.)"
            >COCT_MT120100NL_CI: <name/> niet toegestaan</assert>
    </rule>
    <rule context="$element/hl7:value">
        <extends rule="CE"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.1.902.40' or @codeSystem='2.16.840.1.113883.2.4.4.31.1'"
            >COCT_MT120100NL_CI: @codeSystem moet '2.16.840.1.113883.2.4.4.1.902.40' (TH040) of '2.16.840.1.113883.2.4.4.31.1' (ICPC-1-2000NL) bevatten</assert>
        <assert role="error" test="string-length(normalize-space(@displayName)) &gt; 0"
            >COCT_MT120100NL_CI: @displayName is verplicht</assert>
    </rule>
    
    <rule context="$element/hl7:author">
        <assert role="error" test="not(@typeCode) or  @typeCode='AUT'"
            >COCT_MT120100NL_CI: @typeCode moet, indien anwezig, 'AUT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120100NL_CI: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:author/hl7:time">
        <assert role="error" test="not(.)"
            >COCT_MT120100NL_CI: <name path=".."/>/<name/> niet toegestaan</assert>
    </rule>
    
    <rule context="$element/hl7:dataEnterer">
        <assert role="error" test="not(@typeCode) or  @typeCode='ENT'"
            >COCT_MT120100NL_CI: @typeCode moet, indien anwezig, 'ENT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120100NL_CI: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <assert role="error" test="not(.)"
            >COCT_MT120100NL_CI: <name path=".."/>/<name/> niet toegestaan</assert>
    </rule>
    
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(.)"
            >COCT_MT120100NL_CI: er mag geen (andere) patiënt aan de contra-inicatie worden gekoppeld</assert>
    </rule>
</pattern>