<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11030
Name: Rubriek 30 Psychosociale en cognitieve ontwikkeling
Description: Vastleggen van de psychische ontwikkeling aan de hand van leeftijdsspecifieke fasen, in relatie tot de sociale context en het milieu.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000">
   <title>Rubriek 30 Psychosociale en cognitieve ontwikkeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (rubricCluster30)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]"
         id="tmp-2f6c64e3-3aaa-43c1-a94a-eb088bef6d01">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@classCode)='CLUSTER' or not(@classCode)">(rubricCluster30): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricCluster30): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']/@nullFlavor)">(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&lt;=1">(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&gt;=1 and not(hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]/@nullFlavor)">(rubricCluster30): element hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&lt;=1">(rubricCluster30): element hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/@nullFlavor)">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:templateId
Item: (rubricCluster30)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:templateId"
         id="tmp-11ceefc9-4f7d-421c-8be4-a62bf461495a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster30): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.11030'">(rubricCluster30): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11030' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]
Item: (rubricCluster30)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]"
         id="tmp-31da9f40-7332-4eb2-a940-6dfd99da1d2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster30): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster30): de elementwaarde MOET zijn code 'R030' codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]"
         id="tmp-9a6c663b-0372-4a6e-8ebe-1cd3826bf6c1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']])&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation"
         id="tmp-7c5b941f-0096-4ba7-afa7-70bdd6030586">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']"
         id="tmp-38b24e88-4071-4957-97e5-9bc705a9799c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40259'">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40259' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-17f61085-65b0-4fa4-8aaa-e67da31a796f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="@nullFlavor or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de elementwaarde MOET zijn code '259' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:value
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:value"
         id="tmp-655ccdf4-c3c9-4878-bd6a-4621cfb2a893">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]"
         id="tmp-498f944c-224a-4962-bee4-32aeb3a590a9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']])&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation"
         id="tmp-162f65af-baab-4db9-a522-d99c93ff97f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']"
         id="tmp-03098bf9-cc2e-4631-9409-194d7d1f7145">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40265'">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40265' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-78801862-f21f-4b71-a2ba-2d59724b6b63">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="@nullFlavor or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de elementwaarde MOET zijn code '265' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:value"
         id="tmp-8135f57d-de6c-4411-9df8-f4abf897cc2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]"
         id="tmp-093907fc-e9ff-47e5-b243-3177bc3d127b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']])&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation"
         id="tmp-ba8fc63f-1d23-4170-a54e-4b409f87a1ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']"
         id="tmp-7f28e3d2-524f-492d-8a03-791a4c6e1b34">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40814'">(obs_Bijzonderheden_cognitieve_ontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40814' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-b28cb12d-56de-46d4-9a4e-44a71c12a22e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="@nullFlavor or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_cognitieve_ontwikkeling): de elementwaarde MOET zijn code '814' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:value"
         id="tmp-61ce496c-ba4f-438d-a077-80b784b4962e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Bijzonderheden_cognitieve_ontwikkeling): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Menstekening)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]"
         id="tmp-d767cab2-5027-40cd-9f22-28d78f01b082">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]/@nullFlavor)">(obs_Menstekening): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']])&lt;=1">(obs_Menstekening): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation"
         id="tmp-54ff7ece-4cf9-460e-a5a9-f273de9fd829">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Menstekening): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Menstekening): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Menstekening): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']/@nullFlavor)">(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&lt;=1">(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Menstekening): element hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Menstekening): element hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')])&gt;=1 ">(obs_Menstekening): element hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')])&lt;=1">(obs_Menstekening): element hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']"
         id="tmp-f9a8793d-842a-4cc6-a9b9-c01363b8bb5a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.41440'">(obs_Menstekening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41440' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-04a22cb6-4643-4a2e-87d9-53cdd4e9d321">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Menstekening): de elementwaarde MOET zijn code '1440' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')]
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')]"
         id="tmp-14a8b073-0208-44e3-a6e5-034cf92190a4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.665-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.665-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Menstekening): de waarde van @code MOET worden gekozen uit waardenlijst W0665_HL7 W0665 Menstekening (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Menstekening): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0665_HL7 W0665 Menstekening (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Menstekening): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Menstekening)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Menstekening)
--></pattern>
