<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.133
Name: A_HeelPrick [universal]
Description: COCT_RM900920NL: Gegevens over de hielprik. De aanvraag, de uitvoering en het resultaat
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000">
   <title>A_HeelPrick [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]
Item: (A_HeelPrick-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]"
         id="tmp-2d9ea567-fba7-4fd2-aed1-a5db34045451">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_HeelPrick-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(A_HeelPrick-universal): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@negationInd='true') or hl7:reasonCode">(A_HeelPrick-universal): 
                    <name/>/@negationInd='true' maar er is geen reden niet afgenomen in reasonCode</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:reasonCode)">(A_HeelPrick-universal): 
                    <name/>/@negationInd!='true' maar er is toch een reden niet afgenomen in reasonCode</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']/@nullFlavor)">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&lt;=1">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(A_HeelPrick-universal): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(A_HeelPrick-universal): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]])&lt;=1">(A_HeelPrick-universal): element hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]])&lt;=1">(A_HeelPrick-universal): element hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:templateId
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:templateId"
         id="tmp-a07e7b3a-f5cd-487e-93c9-3ca14bbd4661">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.133'">(A_HeelPrick-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.133' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-07e83ecb-465c-4417-8da1-b371811ff223">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:reasonCode
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:reasonCode"
         id="tmp-c7806fec-326a-4cc6-9d59-97b0c448e0fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.313-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.313-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer"
         id="tmp-420cf71e-9069-40c2-815b-e894e8bd88cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(A_HeelPrick-universal): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(A_HeelPrick-universal): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(A_HeelPrick-universal): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(A_HeelPrick-universal): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:time
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:time"
         id="tmp-5992aeb8-0dc2-4eb9-8960-958175416acc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity"
         id="tmp-2feeecab-ecdf-41d6-a33e-6f4ae84b7302">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(A_HeelPrick-universal): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(A_HeelPrick-universal): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-b6614c34-faf4-4ff5-86b4-4f9b766ea305">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(A_HeelPrick-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(A_HeelPrick-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(A_HeelPrick-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-e7d2bb04-4078-47e9-8121-63f8dce1b09d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-143c0c2d-9d19-49f9-b1c6-7b0e40255028">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(A_HeelPrick-universal): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(A_HeelPrick-universal): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-7cb3a968-316b-4145-914c-8d05a7eda3e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(A_HeelPrick-universal): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]"
         id="tmp-258cc3f0-38a0-4b5e-a4b8-741b6f5be001">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='OUTC' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]])&gt;=1 and not(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]/@nullFlavor)">(A_HeelPrick-universal): element hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]])&lt;=1">(A_HeelPrick-universal): element hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result"
         id="tmp-c81a019b-a2bc-475f-9dbc-39b878c4f81a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(A_HeelPrick-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')])&gt;=1 and not(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')])&lt;=1">(A_HeelPrick-universal): element hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:id
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:id"
         id="tmp-0d190227-3daf-4d9a-a68f-c0d99076381b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-2ffa4a87-eeca-4745-9354-84541f66867c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]"
         id="tmp-bbc43435-5cca-42b1-9f92-2aa4bf1e1b96">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.321-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.321-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0321_HL7 W0321 Uitslag (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0321_HL7 W0321 Uitslag (HL7) (DYNAMISCH).</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]
Item: (A_HeelPrick-universal)
-->
<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]"
         id="tmp-e03e1f51-dddb-4a90-9811-ddc14b5da01a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='FLFS' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
   </rule>
</pattern>
